Bug 462175 - %Gloader received SIGSEGV! Backtrace:
%Gloader received SIGSEGV! Backtrace:
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.3
All Linux
medium Severity medium
: beta
: ---
Assigned To: Radek Vykydal
Brock Organ
http://rhts.redhat.com/cgi-bin/rhts/t...
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-13 09:28 EDT by Jeff Burke
Modified: 2009-01-20 16:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:37:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Burke 2008-09-13 09:28:59 EDT
Description of problem:
Description of problem:
* RHEL5.3-Server-20080913.nightly x86_64
* Error appears through automate RHTS testing
* Behavior appears arch independent

Version-Release number of selected component (if applicable):
RHEL5.3-Server-20080913.nightly

How reproducible:
Always

Steps to Reproduce:
1. Try a nfs install from pxe with a ks.cfg file

Actual results:
.
.
.
Greetings.
anaconda installer init version 11.1.2.123 starting
mounting /proc filesystem... done
creating /dev filesystem... done
mounting /dev/pts (unix98 pty) filesystem... done
mounting /sys filesystem... done
anaconda installer init version 11.1.2.123 using a serial console
trying to remount root filesystem read write... done
mounting /tmp as ramfs... done
running install...
running /sbin/loader
%Gloader received SIGSEGV!  Backtrace:
[0x400c73]
[0x4ffdb0]
[0x4f9670]
[0x40a3ea]
[0x402e01]
[0x4ff3d0]
[0x4001b9]
install exited abnormally [1/1] 
sending termination signals...done
sending kill signals...done
disabling swap...
unmounting filesystems...
	/proc/bus/usb done
	/proc done
	/dev/pts done
	/sys done
	/tmp/ramfs done
you may safely reboot your system


Expected results:
Should install properly

Additional info:
Link to entire output in URL section of BZ
Comment 2 Chris Lumens 2008-09-15 10:20:18 EDT
For my future reference:

0x400c73 - /usr/src/debug/anaconda-11.1.2.123/loader2/loader.c:1344
0x4ffdb0 - /usr/src/debug/anaconda-11.1.2.123/stubs/unicode-lite.c:28
0x4f9670 - /usr/src/debug/e2fsprogs-1.39/lib/blkid/dev.c:56
0x40a3ea - /usr/src/debug/anaconda-11.1.2.123/loader2/driverdisk.c:604
0x402e01 - /usr/src/debug/anaconda-11.1.2.123/loader2/loader.c:1580
0x4ff3d0 - /usr/src/debug/anaconda-11.1.2.123/stubs/unicode-lite.c:28
0x4001b9 - ??:0
Comment 3 RHEL Product and Program Management 2008-09-15 12:13:01 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Radek Vykydal 2008-09-15 12:31:37 EDT
Spotted (clumens) and fixed.
Comment 5 RHEL Product and Program Management 2008-09-15 12:42:19 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 Vinay Y S 2008-11-21 05:42:35 EST
I'm facing similar crash after unicode-lite.c:28 with Fedora-7 network installation from a Fedora 9 provisioning (kickstart) server.

/usr/src/debug/anaconda-11.2.0.66/loader2/loader.c:1327
??:0
/usr/src/debug/anaconda-11.2.0.66/stubs/unicode-lite.c:28
/usr/src/debug/anaconda-11.2.0.66/loader2/net.c:444
/usr/src/debug/anaconda-11.2.0.66/loader2/loader.c:1134
/usr/src/debug/anaconda-11.2.0.66/loader2/loader.c:1633
/usr/src/debug/anaconda-11.2.0.66/stubs/unicode-lite.c:28
??:0


Is there a way to upgrade Anaconda to the latest version and use it to install Fedora-7 over network?

Also, where can I find the source fix for the above problem?
Comment 10 errata-xmlrpc 2009-01-20 16:37:29 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0164.html

Note You need to log in before you can comment on or make changes to this bug.